<template>
  <div class="app-container">
    <el-form>
      <el-form-item label="工作手册标题：">
        <span>{{ info.title }}</span>
      </el-form-item>
      <el-form-item label="工作手册简介：">
        <span>{{ info.introduction }}</span>
      </el-form-item>
      <el-form-item v-if="info.videoUrl !== '' && info.videoUrl !== null">
        <video
          :src="info.videoUrl"
          style="width:600px;height:300px"
          controls
        ></video>
      </el-form-item>
    </el-form>

    <!-- <Editor v-model="info.content" style="width: 100%" :disabled="true" /> -->
    <div v-html="info.content"></div>
  </div>
</template>

<script>
import Editor from "@/components/UEditor/index.vue";
import { getWorkBookInfo } from "@/api/workBook";

export default {
  data() {
    return {
      id: this.$route.query.id,
      info: {}
    };
  },
  components: { Editor },
  created() {
    this.getInfo();
  },
  methods: {
    getInfo() {
      // console.log(this.id);
      getWorkBookInfo({ id: this.id }).then(res => {
        // console.log(res);
        this.info = res.d;
      });
    }
  }
};
</script>

<style></style>
